Get an email campaign report

Retrieve detailed information about a specific email campaign by its ID, including recipients, statistics, and HTML content. Use the statistics query parameter to select which statistics to include (globalStats, linksStats, statsByDomain, statsByDevice, or statsByBrowser); statsByDevice and statsByBrowser are only available on this single-campaign endpoint. You can exclude HTML content from the response by setting excludeHtmlContent to true.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

campaignIdlongRequired
Id of the campaign

Query parameters

statisticsenumOptional

Filter on the type of statistics required. Example: globalStats value will only fetch globalStats info of the campaign in the returned response. statsByDevice and statsByBrowser are only available when retrieving a single campaign (not in the list endpoint).

Allowed values:
excludeHtmlContentbooleanOptional

Use this flag to exclude htmlContent from the response body. If set to true, htmlContent field will be returned as empty string in the response body

Response

Email campaign information
idlong
ID of the campaign
namestring
Name of the campaign
statusenum
Status of the campaign
typeenum
Type of campaign
createdAtstring

Creation UTC date-time of the campaign (YYYY-MM-DDTHH:mm:ss.SSSZ)

footerstring
Footer of the campaign
headerstring
Header of the campaign
htmlContentstring
HTML content of the campaign
modifiedAtstring

UTC date-time of last modification of the campaign (YYYY-MM-DDTHH:mm:ss.SSSZ)

replyTostringformat: "email"
Email defined as the "Reply to" of the campaign
senderobject
testSentboolean

Retrieved the status of test email sending. (true=Test email has been sent false=Test email has not been sent)

recipientsobject
statisticsobject
attachmentFilestringOptional
Url of the attachment file. Only available if the campaign has an attachment.
abTestingbooleanOptional

Status of A/B Test for the campaign. abTesting = false means it is disabled, & abTesting = true means it is enabled.

previewTextstringOptional
Preview text or preheader of the email campaign
scheduledAtstringOptional

UTC date-time on which campaign is scheduled (YYYY-MM-DDTHH:mm:ss.SSSZ)

sendAtBestTimebooleanOptional
It is true if you have chosen to send your campaign at best time, otherwise it is false
splitRuleintegerOptional

The size of your ab-test groups. Only available if abTesting flag of the campaign is true

subjectstringOptional

Subject of the campaign. Only available if abTesting flag of the campaign is false

subjectAstringOptional

Subject A of the ab-test campaign. Only available if abTesting flag of the campaign is true

subjectBstringOptional

Subject B of the ab-test campaign. Only available if abTesting flag of the campaign is true

winnerCriteriastringOptional

Criteria for the winning version. Only available if abTesting flag of the campaign is true

winnerDelayintegerOptional

The duration of the test in hours at the end of which the winning version will be sent. Only available if abTesting flag of the campaign is true

attachmentUrlstringOptional
URL of the attachment file associated with the campaign. Empty string if no attachment is present.
emailExpirationDateobjectOptional
Expiration date configuration for the email campaign, if set. Contains the duration and unit of the email expiry.
inlineImageActivationbooleanOptional

Status of inline image. inlineImageActivation = false means image can’t be embedded, & inlineImageActivation = true means image can be embedded, in the email.

mirrorActivebooleanOptional

Status of mirror links in campaign. mirrorActive = false means mirror links are deactivated, & mirrorActive = true means mirror links are activated, in the campaign

recurringbooleanOptional

FOR TRIGGER ONLY ! Type of trigger campaign.recurring = false means contact can receive the same Trigger campaign only once, & recurring = true means contact can receive the same Trigger campaign several times

returnBouncelongOptional

Total number of non-delivered campaigns for a particular campaign id.

sentDatestringOptional

Sent UTC date-time of the campaign (YYYY-MM-DDTHH:mm:ss.SSSZ). Only available if ‘status’ of the campaign is ‘sent’

tagstringOptional
Tag of the campaign
tagslist of stringsOptional
List of tags of the campaign
toFieldstringOptional
Customisation of the "to" field of the campaign
utmCampaignValuestringOptional

The utm_campaign value associated with the campaign. Only present if a UTM campaign value was set.

utmContentstringOptional

The utm_content value associated with the campaign. Only present if a utm_content value was set on create or update.

utmIDlongOptional

The campaign ID used as utm_id parameter. Only present if UTM campaign tracking with ID is enabled.

utmMediumstringOptional

The utm_medium value. Set to “EMAIL” when UTM campaign tracking is enabled.

utmSourcestringOptional

The utm_source value. Set to “Brevo” when UTM campaign tracking is enabled.

utmTermstringOptional

The utm_term value associated with the campaign. Only present if a utm_term value was set on create or update.

Errors

400
Bad Request Error
404
Not Found Error